using System;

internal class FakeAd : IAdController
{
    public void LoadBanner()
    {
        
    }

    public void ShowBanner()
    {
        
    }

    public void CloseBanner()
    {
        
    }

    public void LoadRectangleAd()
    {
        
    }

    public void ShowRectangleAd()
    {
        
    }

    public void CloseRectangleAd()
    {
        
    }

    public void LoadInterstitialAd()
    {
        
    }

    public void ShowInterstitialAd(Action onSuc, Action<string> onFail, Action<string> onClose)
    {
        GameDebug.Log("fake Interstitial ad");
        onSuc?.Invoke();
    }

    public void CloseInterstitalAd()
    {
        
    }

    public bool isVideoReady()
    {
        return false;
    }

    public void LoadVideoAd()
    {
        
    }

    public void ShowVideoAd(Action onSuc, Action<string> onFail, Action onClose)
    {
        GameDebug.Log("fake Video ad");
        onSuc?.Invoke();
        //Game.Instance.ShowNoticePanel("暂无广告");
    }
}